Package: kipi-plugins
Version: 1.1.0-1
Severity: normal

Hi altogether,

I just noticed that the new ExpoBlending plugin is not included in the debian
package.
Looking at the buildd-logs, there are some other plugins not compiled due to 
missing dependencies:

An excerpt of 
https://buildd.debian.org/fetch.cgi?pkg=kipi-plugins;ver=1.1.0-1;arch=amd64;stamp=1265191216

> --  libopencv library found.................. NO  (optional)
> --  Gdk library found........................ NO  (optional)
> --  RemoveRedEyes will be compiled........... NO  (optional - Look README 
> file for more details about dependencies)
> --  IpodExport will be compiled.............. NO  (optional - Look README 
> file for more details about dependencies)
> --  ExposureBlending will be compiled........ NO  (optional - Look README 
> file for more details about dependencies)
 
> From the README in upstream's SVN:
> RemoveRedEyes      : libopencv.
> IpodExport         : libgpod, libgdk.
> Calendar           : libkcal (kdepimlibs).
> Shwup              : libqca.
> ExpoBlending       : align_image_stack from Hugin project and enfuse from 
> Enblend project (runtime dependency), libgomp.

Please include these dependencies in the next upload.
ExpoBlending seems to be a special case, since it wants libkdcraw version > 
1.0.0, but
/usr/include/libkdcraw/version.h shows 
> static const char kdcraw_version[] = "0.5.0";
>
> #define KDCRAW_VERSION 0x000500
Should I open a wishlist bug against libkdcraw7-dev?

Thanks,

Wolfi

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kipi-plugins depends on:
ii  kdebase-runtime         4:4.3.4-2        runtime components from the offici
ii  kdelibs5                4:4.3.4-1        core libraries for all KDE 4 appli
ii  kdepimlibs5             4:4.3.4-2        core libraries for KDE PIM 4 appli
ii  libc6                   2.10.2-5         Embedded GNU C Library: Shared lib
ii  libexpat1               2.0.1-7          XML parsing C library - runtime li
ii  libgcc1                 1:4.4.3-2        GCC support library
ii  libgl1-mesa-glx [libgl1 7.6.1-1          A free implementation of the OpenG
ii  libglu1-mesa [libglu1]  7.6.1-1          The OpenGL utility library (GLU)
ii  libjpeg62               6b-15            The Independent JPEG Group's JPEG 
ii  libkdcraw7              4:4.3.4-1+b1     RAW picture decoding C++ library (
ii  libkexiv2-7             4:4.3.4-1+b1     Qt like interface for the libexiv2
ii  libkipi6                4:4.3.4-1+b1     library for apps that want to use 
ii  libksane0               4:4.3.4-1+b1     scanner library for KDE 4 (runtime
ii  libphonon4              4:4.5.3-4        Qt 4 Phonon module
ii  libpng12-0              1.2.42-1         PNG library - runtime
ii  libqca2                 2.0.2-1          libraries for the Qt Cryptographic
ii  libqt4-dbus             4:4.5.3-4        Qt 4 D-Bus module
ii  libqt4-network          4:4.5.3-4        Qt 4 network module
ii  libqt4-opengl           4:4.5.3-4        Qt 4 OpenGL module
ii  libqt4-svg              4:4.5.3-4        Qt 4 SVG module
ii  libqt4-xml              4:4.5.3-4        Qt 4 XML module
ii  libqtcore4              4:4.5.3-4        Qt 4 core module
ii  libqtgui4               4:4.5.3-4        Qt 4 GUI module
ii  libstdc++6              4.4.3-2          The GNU Standard C++ Library v3
ii  libtiff4                3.9.2-2          Tag Image File Format (TIFF) libra
ii  libx11-6                2:1.3.3-1        X11 client-side library
ii  libxau6                 1:1.0.5-1        X11 authorisation library
ii  libxdmcp6               1:1.0.3-1        X11 Display Manager Control Protoc
ii  libxext6                2:1.1.1-2        X11 miscellaneous extension librar
ii  libxml2                 2.7.6.dfsg-2+b1  GNOME XML library
ii  libxrandr2              2:1.3.0-2        X11 RandR extension library
ii  libxslt1.1              1.1.26-1+b1      XSLT processing library - runtime 
ii  phonon                  4:4.5.3-4        Qt 4 Phonon module metapackage
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages kipi-plugins recommends:
ii  graphicsmagick-imagemagick-co 1.3.8-1    image processing tools providing I
ii  konqueror                     4:4.3.4-1  KDE 4's advanced file manager, web

Versions of packages kipi-plugins suggests:
pn  gallery                       <none>     (no description available)
ii  gimp                          2.6.8-1    The GNU Image Manipulation Program
ii  kmail                         4:4.3.4-2  KDE Email client
ii  vorbis-tools                  1.2.0-6    several Ogg Vorbis tools

-- no debconf information

Attachment: signature.asc
Description: Digital signature

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to